//
// C++ Interface: kpgaggregatesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGAGGREGATESFOLDER_H
#define KPGAGGREGATESFOLDER_H

#include <kpgitemsfolder.h>

class KPGSchema;

/**
Folder for aggregates functions

@author Lumir Vanek
*/

class KPGAggregatesFolder : public KPGItemsFolder
{
public:
    KPGAggregatesFolder(KPGSchema *, pqxx::oid);
    ~KPGAggregatesFolder();


		virtual eNodeType type() const { return nodeFolderAggregates; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultAggregates() const { return m_pqxxResultAggregates; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultAggregates;
		
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;	
};

#endif
