//
// C++ Interface: kpgconversionsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCONVERSIONSFOLDER_H
#define KPGCONVERSIONSFOLDER_H

#include <kpgitemsfolder.h>

class KPGSchema;

/**
Folder that hold conversions

@author Lumir Vanek
*/

class KPGConversionsFolder : public KPGItemsFolder
{
public:
    KPGConversionsFolder(KPGSchema *, pqxx::oid);
    ~KPGConversionsFolder();

				
		virtual eNodeType type() const { return nodeFolderConversions; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultConversions() const { return m_pqxxResultConversions; }
		
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultConversions;
	
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;
};

#endif
