//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINCONSTRAINT_H
#define KPGDOMAINCONSTRAINT_H

#include "kpgobject.h"

class KPGDomainConstraintsFolder;


/**
Domain check constraint

@author Lumir Vanek
*/

class KPGDomainConstraint : public KPGObject
{
public:
    KPGDomainConstraint(KPGDomainConstraintsFolder *, const QString, pqxx::oid);
    KPGDomainConstraint(KPGDomainConstraintsFolder *, KPGDomainConstraint *, const QString, pqxx::oid);
    ~KPGDomainConstraint();
    
    virtual eNodeType type() const { return nodeDomainConstr; }
    void setProperties(const QString, const QString, const QString);
    void displayProperties(QWidget *);
    virtual bool refresh() { return true; }
 
protected:
  // Object properties
  // name is stored as text(0)
  QString m_strExpression;
  QString m_strNspName;
};

#endif
