//
// C++ Interface: kpggroupsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGGROUPSFOLDER_H
#define KPGGROUPSFOLDER_H

#include "kpgitemsfolder.h"

class KPGServer;

/**
Folder that holds groups

@author Lumir Vanek
*/

class KPGConnection;

class KPGGroupsFolder : public KPGItemsFolder
{
public:
    KPGGroupsFolder(KPGServer *);
    ~KPGGroupsFolder();

		virtual eNodeType type() const { return nodeFolderGroups; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultGroups() const { return m_pqxxResultGroups; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultGroups;
};

#endif
