//
// C++ Interface: kpgoperator
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGOPERATOR_H
#define KPGOPERATOR_H

#include "kpgobject.h"

class KPGOperatorsFolder;

/**
Operator

@author Lumir Vanek
*/

class KPGOperator : public KPGObject
{
public:
    KPGOperator(KPGOperatorsFolder *, const QString, pqxx::oid);
		KPGOperator(KPGOperatorsFolder *, KPGOperator *, const QString, pqxx::oid);
    ~KPGOperator();
		
		virtual eNodeType type() const { return nodeOperator; }
		void setProperties(const QString, const QString, const QString, bool, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString, pqxx::oid, const QString);
		void displayProperties(QWidget *);
		virtual bool refresh() { return true; }
		
protected:
		QString m_strOwner;
		QString m_strKind;
		bool m_bCanHash;
		pqxx::oid m_oidLeftType;
		QString m_strLeftType;
		pqxx::oid m_oidRightType;
		QString m_strRightType;
		pqxx::oid m_oidResultType;
		QString m_strResultType;
		
		pqxx::oid m_oidComutatorOpr;
		QString m_strComutatorOprName;
		pqxx::oid m_oidNegatorOpr;
		QString m_strNegatorOprName;
		pqxx::oid m_oidLeftSortOpr;
		QString m_strLeftSortOprName;
		pqxx::oid m_oidRightSortOpr;
		QString m_strRightSortOprName;
		pqxx::oid m_oidLessThanOpr;
		QString m_strLessThanOprName;
		pqxx::oid m_oidGreatherThanOpr;
		QString m_strGreatherThanOprName;
		
		pqxx::oid m_oidOperatorFunc;
		QString m_strOperatorFunc;
		pqxx::oid m_oidRestrictionFunc;
		QString m_strRestrictionFunc;
		pqxx::oid m_oidJoinFunc;
		QString m_strJoinFunc;
};

#endif
