//
// C++ Interface: kpgtableconstraintsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLECONSTRAINTSFOLDER_H
#define KPGTABLECONSTRAINTSFOLDER_H

#include "kpgtableitemsfolder.h"

/**
Folder that hold Table constraints

@author Lumir Vanek
*/

class KPGTableConstraintsFolder : public KPGTableItemsFolder
{
public:
    KPGTableConstraintsFolder(KPGTable *);
		KPGTableConstraintsFolder(KPGTable *, KPGTableItemsFolder *);
    ~KPGTableConstraintsFolder();

		virtual eNodeType type() const { return nodeFolderTableConstraints; }
		bool refresh(pqxx::work &, pqxx::oid);
		void displayProperties(QWidget *);
		pqxx::result resultConstraints() const { return m_pqxxResultConstraints; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultConstraints; 
};

#endif
