//
// C++ Interface: kpgtableindexesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLEINDEXESFOLDER_H
#define KPGTABLEINDEXESFOLDER_H

#include "kpgtableitemsfolder.h"

/**
Folder that hold Table indexes 

@author Lumir Vanek
*/

class KPGTable;

class KPGTableIndexesFolder : public KPGTableItemsFolder
{
public:
    KPGTableIndexesFolder(KPGTable *);
    KPGTableIndexesFolder(KPGTable *, KPGTableItemsFolder *);
		~KPGTableIndexesFolder();

		virtual eNodeType type() const { return nodeFolderTableIndexes; }
		bool refresh(pqxx::work &, pqxx::oid);
		void displayProperties(QWidget *);
		pqxx::result resultIndexes() const { return m_pqxxResultIndexes; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultIndexes; 
};

#endif
