//
// C++ Implementation: kpgdomainproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgdomainproppage.h"

#include <qtable.h>  

#include <kdebug.h>

#include "../kpglinklabel.h"

KPGDomainPropPage::KPGDomainPropPage(QWidget *parent, const char *name)
 : KPGDomainPropPageBase(parent, name)
{
}


KPGDomainPropPage::~KPGDomainPropPage()
{
}

void KPGDomainPropPage::slotTablePropDblClicked(int iRow, int iCol, int, const QPoint &)
{
    QWidget *w = m_pTableProperties->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

#include "kpgdomainproppage.moc"
