//
// C++ Interface: kpgdomainproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINPROPPAGE_H
#define KPGDOMAINPROPPAGE_H

#include "kpgdomainproppagebase.h"

// include files for libpgxx
#include "pqxx/util.h" 

/**
Domain properties

@author Lumir Vanek
*/

class KPGDomainPropPage : public KPGDomainPropPageBase
{
Q_OBJECT
public:
    KPGDomainPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGDomainPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
