//
// C++ Interface: kpglanguageproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGLANGUAGEPROPPAGE_H
#define KPGLANGUAGEPROPPAGE_H

#include "kpglanguageproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Language properties

@author Lumir Vanek
*/

class KPGLanguagePropPage : public KPGLanguagePropPageBase
{
Q_OBJECT
public:
    KPGLanguagePropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGLanguagePropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
	void sigSearchObject(const pqxx::oid);
};

#endif
