//
// C++ Interface: kpgoperatorproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGOPERATORPROPPAGE_H
#define KPGOPERATORPROPPAGE_H

#include "kpgoperatorproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Operator properties

@author Lumir Vanek
*/

class KPGOperatorPropPage : public KPGOperatorPropPageBase
{
Q_OBJECT
public:
    KPGOperatorPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGOperatorPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
