//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGPROPERTYPAGE_H
#define KPGPROPERTYPAGE_H

#include "kpgpropertypagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 


/**
General property page

@author Lumir Vanek
*/

class KPGPropertyPage : public KPGPropertyPageBase
{
Q_OBJECT
public:
    KPGPropertyPage(QWidget *parent = 0, const char *name = 0);
    ~KPGPropertyPage();
    
    void setLabelText(const QString &);
    
protected slots:
    
    virtual void slotTablePropDblClicked(int, int, int, const QPoint &);  
    
signals:
    void sigSearchObject(const pqxx::oid);
};

#endif
