//
// C++ Interface: kpgsequenceproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGSEQUENCEPROPPAGE_H
#define KPGSEQUENCEPROPPAGE_H

#include "kpgsequenceproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Sequence properties

@author Lumir Vanek
*/

class KPGSequencePropPage : public KPGSequencePropPageBase
{
Q_OBJECT
public:
    KPGSequencePropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGSequencePropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
