/***************************************************************************
                          kpgserverproppage  -  description
                             -------------------
    begin                : So led 31 2004
    copyright            : (C) 2004 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kpgserverproppage.h"

#include <qstring.h>
#include <qtable.h>

#include <klineedit.h>

#include "../kpglinklabel.h"

KPGServerPropPage::KPGServerPropPage(QWidget *parent, const char *name)
 : KPGServerPropPageBase(parent, name)
{
	m_pTableDatabases->verticalHeader()->setResizeEnabled( false );
}


KPGServerPropPage::~KPGServerPropPage()
{
}

void KPGServerPropPage::setVersionInfo(const QString strVersionInfo)
{
	m_pLineEditVersion->setText(strVersionInfo);
}

void KPGServerPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableDatabases->cellWidget(iRow, iCol);
    if(w == 0)
      return;
          
    KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
    pqxx::oid _oid = pLabel->oid();
      
    if(_oid != 0)
      emit sigSearchObject(_oid);
}

#include "kpgserverproppage.moc"
