//
// C++ Implementation: kpgtypeproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtypeproppage.h"

#include <qiconset.h>
#include <qtable.h>  

#include <ktabwidget.h>
#include <kdebug.h>

#include "../DbObjects/kpgtreeitem.h"
#include "../kpglinklabel.h"

KPGTypePropPage::KPGTypePropPage(QWidget *parent, const char *name)
 : KPGTypePropPageBase(parent, name)
{
	m_pTabWidget->setTabIconSet(tabAttributes, QIconSet(*KPGTreeItem::m_pIconTypeBase)); 
}


KPGTypePropPage::~KPGTypePropPage()
{
}

void KPGTypePropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableProperties->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

#include "kpgtypeproppage.moc"
