//
// C++ Interface: kpgviewproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGVIEWPROPPAGE_H
#define KPGVIEWPROPPAGE_H

#include "kpgviewproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
View properties

@author Lumir Vanek
*/

class KPGSyntaxHighlighter;

class KPGViewPropPage : public KPGViewPropPageBase
{
Q_OBJECT
public:
    KPGViewPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGViewPropPage();

protected slots:

    /**
     * Changes syntax highlighting colors.
     */
    void slotSqlEditorSettingsChanged();

    virtual void slotTablePropDblClicked(int, int, int, const QPoint &);  
		
signals:
		void sigSearchObject(const pqxx::oid);
		
protected:
	/** Syntax highlighter for view definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
