//
// C++ Interface: kpg2stepswizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPG2STEPSWIZARD_H
#define KPG2STEPSWIZARD_H

#include "kpg2stepswizardbase.h"

class KPGSyntaxHighlighter;
class KPGConnection;

/**
Wizard with 2 steps. Obviously used for DROP Database object

@author Lumir Vanek
*/

class KPG2StepsWizard : public KPG2StepsWizardBase
{
Q_OBJECT
public:
    KPG2StepsWizard(QWidget *parent, const char *name, const QString &, bool = true);
    ~KPG2StepsWizard();

		void setConnection(KPGConnection *);

protected:
		virtual void showPage(QWidget *);
		
protected:

		KPGConnection *m_pConnection;
		bool m_bWithTransaction;
		
  	/** Syntax highlighter for m_pTextEditSQL */
  	KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
