//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGANALYSETABLEWIDGET1_H
#define KPGANALYSETABLEWIDGET1_H

#include "kpganalysetablewidget1base.h"

class KPGTable;
class QListBoxItem;

/**
Widget for analyse table Wizard

@author Lumir Vanek
*/

class KPGAnalyseTableWidget1 : public KPGAnalyseTableWidget1Base
{
Q_OBJECT
public:
    KPGAnalyseTableWidget1(QWidget *parent, const char *name, const QString &, KPGTable *);
    ~KPGAnalyseTableWidget1();

    const QString getSQL() const;

protected:
    QString m_strTableName; // name of the table
    QString m_strNamespace; // name of the namespace    
   
protected slots:

    virtual void slotAllColumnsToggled(bool);
    virtual void slotColumnAdded(QListBoxItem *);
    virtual void slotColumnRemoved(QListBoxItem *);
            
signals:
    void sigEnableNextButton(bool); 
};

#endif
