//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEDOMAINWIDGET1_H
#define KPGCREATEDOMAINWIDGET1_H

#include "kpgcreatedomainwidget1base.h"

class KPGDatabase;
class QListViewItem;

/**
Widget for create domain Wizard

@author Lumir Vanek
*/

class KPGCreateDomainWidget1 : public KPGCreateDomainWidget1Base
{
Q_OBJECT
public:
    KPGCreateDomainWidget1(QWidget *parent, const char *name, KPGDatabase *, QPtrList<QListViewItem> &);
    ~KPGCreateDomainWidget1();

    const QString getSQL() const;
      
protected slots:
    
    virtual void slotDomainNameChanged(const QString&);
        
signals:
    void sigEnableNextButton(bool);               
};

#endif
