//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEDOMAINWIDGET2_H
#define KPGCREATEDOMAINWIDGET2_H

#include "kpgcreatedomainwidget2base.h"

class KPGDatabase;

/**
Widget for create domain Wizard

@author Lumir Vanek
*/

class KPGCreateDomainWidget2 : public KPGCreateDomainWidget2Base
{
Q_OBJECT
public:
    KPGCreateDomainWidget2(QWidget *parent, const char *name, KPGDatabase *);
    ~KPGCreateDomainWidget2();

    const QString getSQL() const;

protected:
    void refreshListOfTypes();
    void fillUserDatatypes();    

      
protected:    
     KPGDatabase *m_pDatabase;
     
protected slots:

    virtual void slotSchemaActivated(int);
    virtual void slotComboDataTypeActivated(const QString &);
    virtual void slotDefaultToggled(bool);
    virtual void slotNumDimensionsChanged(int);
    
signals:
    void sigEnableNextButton(bool);       
};

#endif
