//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEFUNCTIONWIDGET5_H
#define KPGCREATEFUNCTIONWIDGET5_H

#include "kpgcreatefunctionwidget5base.h"

/**
Widget for create function wizard

@author Lumir Vanek
*/
class KPGCreateFunctionWidget5 : public KPGCreateFunctionWidget5Base
{
Q_OBJECT
public:
    KPGCreateFunctionWidget5(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateFunctionWidget5();

    void setFunctionName(const QString &strFunctionName) { m_strFunctionName = strFunctionName; }
    void setNamespace(const QString &strNamespace) { m_strNamespace = strNamespace; }
    const QString getSQL() const;

protected:
    void enableAddGrantButton();
    
protected:
    QString m_strFunctionName; // name of the created function
    QString m_strNamespace; // name of the namespace
    
protected slots:

    virtual void slotCheckBoxPublicToggled(bool);
    virtual void slotListBoxUsersSelectionChanged();
    
    virtual void slotGrantsSelectionChanged(QListViewItem *);
    virtual void slotGrantsCurrentChanged(QListViewItem *);
    
    virtual void slotGrantAdd();
    virtual void slotGrantDelete();
            
signals:
    void sigEnableNextButton(bool);   
};

#endif
