//
// C++ Interface: kpgcreatetableindexwizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATETABLEINDEXWIZARD_H
#define KPGCREATETABLEINDEXWIZARD_H

#include "kpg3stepswizard.h"

class KPGDatabase;
class KPGSchema; 
class KPGTable;

/**
Create index Wizard. Add index to existing table.

@author Lumir Vanek
*/
class KPGCreateTableIndexWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGCreateTableIndexWizard(QWidget *parent, const char *name, KPGDatabase *, KPGSchema *, KPGTable *);
    ~KPGCreateTableIndexWizard();

protected:
    virtual void showPage(QWidget *);

protected:
    QString m_strTableName; // name of the created table
    QString m_strNamespace; // name of the namespace    
        
protected slots:
    virtual void languageChange();
};

#endif
