//
// C++ Interface: kpgcreatetriggerwizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATETRIGGERWIZARD_H
#define KPGCREATETRIGGERWIZARD_H

#include "kpg3stepswizard.h"

class KPGSchema; 
class KPGTable;

/**
Create table trigger Wizard

@author Lumir Vanek
*/

class KPGCreateTriggerWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGCreateTriggerWizard(QWidget *parent, const char *name, KPGSchema *, KPGTable *);
    ~KPGCreateTriggerWizard();

protected:
    virtual void showPage(QWidget *);
      
protected slots:
    virtual void languageChange();
};

#endif
