//
// C++ Interface: kpgcreateviewwizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEVIEWWIZARD_H
#define KPGCREATEVIEWWIZARD_H

#include "kpg6stepswizard.h"

class KPGDatabase;
class QListViewItem;

/**
Create view Wizard

@author Lumir Vanek
*/

class KPGCreateViewWizard : public KPG6StepsWizard
{
Q_OBJECT
public:
    KPGCreateViewWizard(QWidget *parent, const char *name, KPGDatabase *, QPtrList<QListViewItem> &);
    ~KPGCreateViewWizard();

protected:
		virtual void showPage(QWidget *);
		
protected slots:
    virtual void languageChange();
};

#endif
