//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGMODIFYFUNCTIONWIZARD_H
#define KPGMODIFYFUNCTIONWIZARD_H

#include "kpg4stepswizard.h"

class KPGFunction;

/**
Modify function Wizard

@author Lumir Vanek
*/

class KPGModifyFunctionWizard : public KPG4StepsWizard
{
Q_OBJECT
public:
    KPGModifyFunctionWizard(QWidget *parent, const char *name, KPGFunction *);
    ~KPGModifyFunctionWizard();

protected:
    virtual void showPage(QWidget *);

protected:
    
    QString m_strFunctionName;
		QString m_strReturnTypName;
		QString m_strLanName;
        
protected slots:
    virtual void languageChange();
};

#endif
