//
// C++ Interface: kpgmodifyviewwizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGMODIFYVIEWWIZARD_H
#define KPGMODIFYVIEWWIZARD_H

#include "kpg3stepswizard.h"

class KPGView;
class KPGDatabase;

/**
Modify View Wizard

@author Lumir Vanek
*/

class KPGModifyViewWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGModifyViewWizard(QWidget *parent, const char *name, KPGDatabase *, KPGView *);
    ~KPGModifyViewWizard();

protected:
		virtual void showPage(QWidget *);

protected:
		
		QString m_strViewName;
				
protected slots:
    virtual void languageChange();
};

#endif
