//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgsetclustertablewidget1.h"

// include files for KDE
#include <kcombobox.h>

// application specific includes
#include "../DbObjects/kpgtableindexesfolder.h"


KPGSetClusterTableWidget1::KPGSetClusterTableWidget1(QWidget *parent, const char *name, const QString & strNamespace, KPGTable *pTable)
 : KPGSetClusterTableWidget1Base(parent, name)
{
  pTable->getTableIndexesFolder()->fillComboBoxWithChildItems(m_pComboBoxIndex);
  
  m_strNamespace = strNamespace;
  m_strTableName = pTable->text(0);
}

KPGSetClusterTableWidget1::~KPGSetClusterTableWidget1()
{
}

const QString KPGSetClusterTableWidget1::getSQL() const
{
  QString strSQL("ALTER TABLE ");
  
  strSQL.append(m_strNamespace);
  strSQL.append(".");
  strSQL.append(m_strTableName);
  
  strSQL.append(" CLUSTER ON ");
  strSQL.append(m_pComboBoxIndex->currentText());
  strSQL.append(";");
    
  return strSQL;
}

#include "kpgsetclustertablewidget1.moc"
