//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGSETDOMAINDEFAULTWIZARD_H
#define KPGSETDOMAINDEFAULTWIZARD_H

#include "kpg3stepswizard.h"

/**
Wizard that modify domain default

@author Lumir Vanek
*/

class KPGSetDomainDefaultWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGSetDomainDefaultWizard(QWidget *parent, const char *name, const QString&,  const QString&);
    ~KPGSetDomainDefaultWizard();

    void setDefaultExpression(const QString &);
    
protected:
    virtual void showPage(QWidget *);

protected:
    
    QString m_strDomain; // name of the altered domain
    QString m_strNamespace; // name of the namespace 
        
protected slots:
    virtual void languageChange();        
};

#endif
