//
// C++ Interface: kpgcastsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCASTSFOLDER_H
#define KPGCASTSFOLDER_H

#include <kpgitemsfolder.h>

class KPGDatabase;

/**
Folder that hold casts

@author Lumir Vanek
*/

class KPGCastsFolder : public KPGItemsFolder
{
public:
    KPGCastsFolder(KPGDatabase *);
    ~KPGCastsFolder();

				
		virtual eNodeType type() const { return nodeFolderCasts; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultCasts() const { return m_pqxxResultCasts; }
		
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultCasts;
};

#endif
