//
// C++ Interface: kpgprimarykey
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGPRIMARYKEY_H
#define KPGPRIMARYKEY_H

#include "kpgtableindex.h"

class KPGTableIndexesFolder;

/**
Table primary key

@author Lumir Vanek
*/

class KPGPrimaryKey : public KPGTableIndex
{
public:
    KPGPrimaryKey(KPGTableIndexesFolder *, const QString, pqxx::oid);
		KPGPrimaryKey(KPGTableIndexesFolder *, KPGTableIndex *, const QString, pqxx::oid);
    ~KPGPrimaryKey();

		virtual eNodeType type() const { return nodePrimaryKey; }
		void displayProperties(QWidget *);
};

#endif
