//
// C++ Implementation: kpgtableconstraint
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtableconstraint.h"

#include "kpgtableconstraintsfolder.h"

KPGTableConstraint::KPGTableConstraint(KPGTableConstraintsFolder *parent, const QString name, pqxx::oid _oid)
  : KPGObject(parent, name, _oid)
{
}

KPGTableConstraint::KPGTableConstraint(KPGTableConstraintsFolder *parent, KPGTableConstraint *after, const QString name, pqxx::oid _oid)
  : KPGObject(parent, after, name, _oid)
{
}

KPGTableConstraint::~KPGTableConstraint()
{
}

void KPGTableConstraint::setProperties(
		const QString strDescription,
		bool bIsDeferrable,
		bool bIsDeferred,
		const QString strNspName	
	)
{
	m_strDescription = strDescription;
	m_bIsDeferrable = bIsDeferrable;
	m_bIsDeferred = bIsDeferred;
	m_strNspName = strNspName;	
}
