//
// C++ Interface: kpgaggregateproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGAGGREGATEPROPPAGE_H
#define KPGAGGREGATEPROPPAGE_H

#include "kpgaggregateproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Aggregate properties

@author Lumir Vanek
*/

class KPGAggregatePropPage : public KPGAggregatePropPageBase
{
Q_OBJECT
public:
    KPGAggregatePropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGAggregatePropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
