//
// C++ Interface: kpgcastproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCASTPROPPAGE_H
#define KPGCASTPROPPAGE_H

#include "kpgcastproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Cast properties

@author Lumir Vanek
*/

class KPGCastPropPage : public KPGCastPropPageBase
{
Q_OBJECT
public:
    KPGCastPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGCastPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
