//
// C++ Interface: kpgconversionproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCONVERSIONPROPPAGE_H
#define KPGCONVERSIONPROPPAGE_H

#include "kpgconversionproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Conversion properties

@author Lumir Vanek
*/

class KPGConversionPropPage : public KPGConversionPropPageBase
{
Q_OBJECT
public:
    KPGConversionPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGConversionPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
