//
// C++ Interface: kpgforeignkeyconstrproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGFOREIGNKEYCONSTRPROPPAGE_H
#define KPGFOREIGNKEYCONSTRPROPPAGE_H

#include "kpgforeignkeyconstrproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Foreign Key Constraint properties

@author Lumir Vanek
*/

class KPGForeignKeyConstrPropPage : public KPGForeignKeyConstrPropPageBase
{
Q_OBJECT
public:
    KPGForeignKeyConstrPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGForeignKeyConstrPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
};

#endif
