//
// C++ Interface: kpgfunctionproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGFUNCTIONPROPPAGE_H
#define KPGFUNCTIONPROPPAGE_H

#include "kpgfunctionproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Function property page

@author Lumir Vanek
*/

class KPGSyntaxHighlighter;

class KPGFunctionPropPage : public KPGFunctionPropPageBase
{
Q_OBJECT
public:
    KPGFunctionPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGFunctionPropPage();

public slots:

		/**
		 * Changes syntax highlighting colors.
		 */
		void slotSqlEditorSettingsChanged();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);
				
protected:
	/** Syntax highlighter for rule definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
