//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgpropertypage.h"

#include <qtable.h>  
#include <qlabel.h> 

#include "../kpglinklabel.h"

KPGPropertyPage::KPGPropertyPage(QWidget *parent, const char *name)
 : KPGPropertyPageBase(parent, name)
{
}


KPGPropertyPage::~KPGPropertyPage()
{
}


void KPGPropertyPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableItems->cellWidget(iRow, iCol);
    if(w == 0)
      return;
          
    KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
    pqxx::oid _oid = pLabel->oid();
      
    if(_oid != 0)
      emit sigSearchObject(_oid);
}

void KPGPropertyPage::setLabelText(const QString &strText)
{
  m_pTextLabel->setText(strText);
}

#include "kpgpropertypage.moc"
