//
// C++ Interface: kpgruleproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGRULEPROPPAGE_H
#define KPGRULEPROPPAGE_H

#include "kpgruleproppagebase.h"

/**
Table rules property page

@author Lumir Vanek
*/

class KPGSyntaxHighlighter;

class KPGRulePropPage : public KPGRulePropPageBase
{
Q_OBJECT
public:
    KPGRulePropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGRulePropPage();

public slots:

		/**
		 * Changes syntax highlighting colors.
		 */
		void slotSqlEditorSettingsChanged();
		
protected:
	/** Syntax highlighter for rule definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
