//
// C++ Implementation: kpgtriggerproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgtriggerproppage.h"

#include <qtable.h> 

#include "../kpglinklabel.h"

KPGTriggerPropPage::KPGTriggerPropPage(QWidget *parent, const char *name)
 : KPGTriggerPropPageBase(parent, name)
{
}


KPGTriggerPropPage::~KPGTriggerPropPage()
{
}

void KPGTriggerPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableProperties->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

#include "kpgtriggerproppage.moc"
