//
// C++ Interface: kpgtriggerproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTRIGGERPROPPAGE_H
#define KPGTRIGGERPROPPAGE_H

#include "kpgtriggerproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Table trigger property page

@author Lumir Vanek
*/
class KPGTriggerPropPage : public KPGTriggerPropPageBase
{
Q_OBJECT
public:
    KPGTriggerPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTriggerPropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
		void sigSearchObject(const pqxx::oid);	
};

#endif
