//
// C++ Interface: kpgtypeproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTYPEPROPPAGE_H
#define KPGTYPEPROPPAGE_H

#include "kpgtypeproppagebase.h"

// include files for libpgxx 
#include "pqxx/util.h" 

/**
Data type properties

@author Lumir Vanek
*/

class KPGTypePropPage : public KPGTypePropPageBase
{
Q_OBJECT
public:
    KPGTypePropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGTypePropPage();

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		
signals:
	void sigSearchObject(const pqxx::oid);
};

#endif
