//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEDATABASEWIDGET2_H
#define KPGCREATEDATABASEWIDGET2_H

#include "kpgcreatedatabasewidget2base.h"

/**
Widget for create database Wizard

@author Lumir Vanek
*/

class KPGCreateDatabaseWidget2 : public KPGCreateDatabaseWidget2Base
{
Q_OBJECT
public:
    KPGCreateDatabaseWidget2(QWidget *parent = 0, const char *name = 0);
    ~KPGCreateDatabaseWidget2();

    void setDatabaseName(const QString &strDatabaseName) { m_strDatabaseName = strDatabaseName; }
    const QString getSQL() const;

protected:
    QString m_strDatabaseName;    
    
protected:
    void enableAddGrantButton();
    
protected slots:

    virtual void slotCheckBoxAllToggled(bool);
    virtual void slotCheckBoxCreateToggled(bool);
    virtual void slotCheckBoxTemporaryToggled(bool);
        
    virtual void slotCheckBoxPublicToggled(bool);
    virtual void slotListBoxUsersSelectionChanged();
    
    virtual void slotGrantsSelectionChanged(QListViewItem *);
    virtual void slotGrantsCurrentChanged(QListViewItem *);
    
    virtual void slotGrantAdd();
    virtual void slotGrantDelete();
            
signals:
    void sigEnableNextButton(bool); 
};

#endif
