//
// C++ Interface: kpgcreaterulewizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATERULEWIZARD_H
#define KPGCREATERULEWIZARD_H

#include "kpg3stepswizard.h"

class KPGSchema; 
class KPGTable;

/**
Create table rule Wizard

@author Lumir Vanek
*/

class KPGCreateRuleWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGCreateRuleWizard(QWidget *parent, const char *name, KPGSchema *, KPGTable *);
    ~KPGCreateRuleWizard();

protected:
    virtual void showPage(QWidget *);
        
protected slots:
    virtual void languageChange();
};

#endif
