//
// C++ Interface: kpgcreatetablewizard
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATETABLEWIZARD_H
#define KPGCREATETABLEWIZARD_H

#include "kpg7stepswizard.h"

class KPGDatabase;
class QListViewItem;

/**
Create table Wizard

@author Lumir Vanek
*/

class KPGCreateTableWizard : public KPG7StepsWizard
{
Q_OBJECT
public:
    KPGCreateTableWizard(QWidget *parent, const char *name, KPGDatabase *, QPtrList<QListViewItem> &);
    ~KPGCreateTableWizard();
    
protected:
		virtual void showPage(QWidget *);
    
protected slots:
    virtual void languageChange();
};

#endif
