//
// C++ Interface: kpgcreatetriggerwidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATETRIGGERWIDGET1_H
#define KPGCREATETRIGGERWIDGET1_H

#include "kpgcreatetriggerwidget1base.h"

class KPGSchema;

/**
Widget for create trigger Wizard

@author Lumir Vanek
*/

class KPGCreateTriggerWidget1 : public KPGCreateTriggerWidget1Base
{
Q_OBJECT
public:
    KPGCreateTriggerWidget1(QWidget *parent, const char *name, KPGSchema *, const QString &, const QString &);
    ~KPGCreateTriggerWidget1();
		    
    const QString getSQL() const;
    	
protected:
		void refreshListOfFunctions(KPGSchema *);

protected:
    QString m_strTableName; // name of the table
    QString m_strNamespace; // name of the namespace
        		
protected slots:

		virtual void slotTriggerNameChanged(const QString&);
		virtual void slotInsertToggled(bool);
		virtual void slotUpdateToggled(bool);
		virtual void slotDeleteToggled(bool);
    virtual void slotFunctionActivated(const QString &);
		
signals:
		void sigEnableNextButton(bool);
};

#endif
