//
// C++ Implementation: kpgcreateuserwidget2
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgcreateuserwidget2.h"

// include files for Qt
#include <qpushbutton.h>

// include files for KDE
#include <klistbox.h>
#include <kmessagebox.h>
#include <kdebug.h>
#include <kactionselector.h> 

// application specific includes
#include "../DbObjects/kpgtreeitem.h"
#include "../kpgsqldialog.h"

KPGCreateUserWidget2::KPGCreateUserWidget2(QWidget *parent, const char *name)
 : KPGCreateUserWidget2Base(parent, name)
{
}

KPGCreateUserWidget2::~KPGCreateUserWidget2()
{
}

// Return part of SQL statement for CREATE USER
const QString KPGCreateUserWidget2::getSQL() const
{
	QString strSQL("");

	for(unsigned int i = 0; i < m_pActionSelectorGroups->selectedListBox()->count(); i++)
	{
		if(i > 0)
			strSQL.append(", ");
		else
			strSQL.append(" IN GROUP ");
			
		strSQL.append(m_pActionSelectorGroups->selectedListBox()->item(i)->text());
	}
	
	return strSQL;
}

#include "kpgcreateuserwidget2.moc"
