//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDROPOBJECTWIZARD_H
#define KPGDROPOBJECTWIZARD_H

#include "kpg3stepswizard.h"

/**
Drop object Wizard

@author Lumir Vanek
*/

class KPGDropObjectWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    KPGDropObjectWizard(QWidget *parent, const char *name, const QString &, const QString &, const QString &, const QString & = QString::null);
    ~KPGDropObjectWizard();
				
protected:
    virtual void showPage(QWidget *);
		
protected:
		QString m_strObjectType; // type of the dropped table - FUNCTION, RULE, TRIGGER ...
    QString m_strObjectName; // name of the dropped table
    QString m_strNamespace;  // name of the namespace
		QString m_strTable;			 // name of the table, than contain dropped object (index, rule, trigger ...)
		 
protected slots:
    virtual void languageChange(); 
};

#endif
