/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : t en  6 16:08:39 CEST 2002
    copyright            : (C) 2002 by Dominik Sacher
    email                : dsacher@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kpogre.h"

static const char *description =
	I18N_NOOP("KPoGre");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kpogre", I18N_NOOP("KPoGre"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002-2004, KPoGre Developers", "PostgreSQL administration tool", "http://kpogre.sourceforge.net", "lvanek@users.sourceforge.net");
	aboutData.addAuthor("Dominik Sacher", "Former developer", "dsacher@users.sourceforge.net");
  aboutData.addAuthor("Lumir Vanek", "Current developer", "lvanek@users.sourceforge.net");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KPoGreApp);
  }
  else 
  {
    KPoGreApp *kpogre = new KPoGreApp();
    kpogre->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        kpogre->openDocumentFile(args->arg(0));
		}
		else
		{
		  kpogre->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
